/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Specimen Preparation Steps
 */
public enum EnumCV_SpecimenPreparationSteps {

	//Specimen Preparation Steps - CID 8113
	SPECIMEN_MICROWAVE_HEATING_P3_40005("P3-40005"),
	SPECIMEN_STEAM_HEATING_P3_40009("P3-40009"),
	PROTEASE_DIGESTION_OF_TISSUE_SPECIMEN_P3_40006("P3-40006"),
	SPECIMEN_DEHYDRATION_P3_4000B("P3-4000B"),
	SPECIMEN_FREEZING_P3_05050("P3-05050"),
	SPECIMEN_CLEARING_P3_40003("P3-40003");
	
	private String value;

	EnumCV_SpecimenPreparationSteps(String strvalue)
	{
		this.value = strvalue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}

}
